technique T0
{
    pass P0
    {
        // Assign diffuse color to be used
        ColorOp[0]   = SelectArg1;
        ColorArg1[0] = Diffuse;
        ColorArg2[0] = Texture;
        AlphaOp[0]   = SelectArg1;
        AlphaArg1[0] = Diffuse;
        AlphaArg2[0] = Texture;

        // Only one color being used
        ColorOp[0]   = Disable;
        AlphaOp[0]   = Disable;

        VertexShader =
        decl
        {
            stream 0;
            float v0[3];	// Position
            stream 4;
            D3DCOLOR v6;	// Influences indices
        }
		asm
		{
			vs.1.1

			mul		r0, v6, c91.y

			// First Influence on position
			mov		a0.x, r0.x
			m4x3	r1, v0, c[a0.x]
			sge		r1.w, v0, v0

			// Perform blend
			mad		r2, v0, -c91.w, v0
			mad		r1, r1, c91.w, r2
			
			// Apply view+proj
			m4x4	oPos, r1, c92

			// Force white
			sge		oD0, r1, r1
		};     
    }
}
