technique T0
{
    pass P0
    {
        AddressU[0]		= Wrap;
		AddressV[0]		= Wrap;
		MinFilter[0]	= Linear;
		MagFilter[0]	= Linear;
		MipFilter[0]	= Linear;

        VertexShader =
        decl
        {
            stream 0;
            float v0[3];	// Position
            stream 1;
            short v1[2];	// Texture coord1
        }
		asm
		{
			vs.1.1

			m4x3	r1, v0, c0
			sge		r1.w, v0, v0
			
			// Apply view+proj
			m4x4	oPos, r1, c92

			// Move the uvs through... (they are scaled up, so we have to bring 'em down)
			mul		oT0.xyz, v1, c87
		};

		PixelShader = 
        asm
        {
			// Declare pixel shader version 1.1
			ps.1.1

			// Define textures
			tex t0

			mov r0.rgb, v0				// RGB gets black
			+ mul r0.a, t0.a, c1.a		// Alpha gets texture * diffuse
		};
    }
}
