
technique T0
{
    pass P0
    {
		// Constants Expected:
		// Vertex shader:
		// c92-c95: CV_VIEWPROJ
		// Pixel Shader:
		// c1: 0, 0, 0, alpha

		VertexShader =
        decl
        {
            stream 0;
            float v0[3];	// Position
            float v7[2];	// UV
        }
		asm
		{
			vs.1.1

			// Transform position
			// Apply view+proj
			m4x4	oPos, v0, c92

			// Move the uvs through...
			mov		oT0, v7
		};
		
		PixelShader = 
        asm
        {
			// Declare pixel shader version 1.1
			ps.1.1

			// Define textures
			tex t0
			
			mov r0, t0
			
			mul r0.a, r0.a, c0.a // Multiply by alpha
        }; 
    }
}