technique T0
{
    pass P0
    {
        // Z-buffering to be used
        ZEnable	     = true;
        ZWriteEnable = false;
        
//        ColorWriteEnable = 65793; // RED|GREEN|BLUE
        
        AddressU[0]		= Wrap;
        AddressV[0]		= Wrap;

        VertexShader =
        decl
        {
            stream 0;
            float v0[3];	// Position
            stream 1;
            short v1[2];	// Texture coord1
        }
		asm
		{
			vs.1.1

			// Transform position
			m4x3	r1, v0, c0
			sge		r1.w, v0, v0
			
			// Apply view+proj
			m4x4	r0, r1, c92
			mov		oPos, r0
			mul		oFog.x, r0.w, c10.x	// Handle fog

			// Move the uvs through... (they are scaled up, so we have to bring 'em down)
			mul		oT0.xyz, v1, c91.x
		};
		
		PixelShader = 
        asm
        {
			// Declare pixel shader version 1.1
			ps.1.1

			// Define textures
			tex t0
			
			mov r0, t0
        };    
    }
}
