technique T0
{
    pass P0
    {
		// Disable specular
		SpecularEnable = False;
		
		// Set Z-buffering
		ZEnable			= True;
		ZWriteEnable	= True;
		
		// First stage
		ColorOp[0]   = Disable;
        AlphaOp[0]   = Disable;
        
        // Second stage
        // Only one color being used
        ColorOp[1]   = Disable;
        AlphaOp[1]   = Disable;
	
		VertexShader =
        decl
        {
            stream 0;
            float v0[3];	// Position
        }
		asm
		{
			vs.1.1

			// Move the vertex through...
			mov oPos, v0

			// Move the vertex diffuse through...
            mov oD0,c1          // Put into Diffuse Color output

		};
    }
}

