technique T0
{
    pass P0
    {
		// Set texture address mode and min mag filters
		MipFilter[0]	= None;
		MinFilter[0]	= Linear;
		MagFilter[0]	= Linear;
		
		VertexShader =
        decl
        {
            stream 0;
            float v0[3];	// Position
            D3DCOLOR v3;	// Normal
            stream 1;
            short v7[2];	// UV
        }
		asm
		{
			vs.1.1

			// Transform position
			// Apply view+proj
			m4x4	r0, v0, c92
			mov		oPos, r0
			mov		oFog.x, r0.w // Take out fog
			
			// Move the uvs through...
			mul		r0, v7, c91.x
			add		oT0.xyz, r0, c60
		};
		
		PixelShader = 
        asm
        {
			// Declare pixel shader version 1.1
			ps.1.1

			// Define textures
			tex t0
			
			mov r0, t0
        };   
    }
}